MENU_ITEM_CURRENT(3) | Library Functions Manual | MENU_ITEM_CURRENT(3)

# NAME

current_item, item_index, set_current_item, set_top_row top_row — get or set item pointers or top row

# LIBRARY

Curses Menu Library (libmenu, -lmenu)

# SYNOPSIS

#include <menu.h>
ITEM *
current_item(MENU *menu);
int
item_index(ITEM *item);
int
set_current_item(MENU *menu, ITEM *item);
int
set_top_row(MENU *menu, int row);
int
top_row(MENU *menu);

# DESCRIPTION

The current_item() returns a pointer to the current menu item. The set_current_item() can be used to set this to the item give. The item_index() function returns the index number in the array of items for the item pointed to by the item parameter. The set_top_row() function sets the top row of the menu displayed to be the row given. The current item becomes the leftmost item of the top row. The top_row() call returns the row number that is currently at the top of the displayed menu.

# RETURN VALUES

current_item() returns NULL if no items are attached to the menu.

`E_OK`
  The function was successful.
`E_BAD_ARGUMENT`
  One or more of the arguments passed to the function was incorrect.
`E_BAD_STATE`
  The function was called from within an initialization or termination routine.
`E_NOT_CONNECTED`
  The item is not connected to a menu.

# SEE ALSO

curses(3), menus(3)

# NOTES

The header <menu.h> automatically includes both <curses.h> and <eti.h>.

September 10, 1999 | NetBSD 8.2